> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable payment methods for an organization

> Configure which payment methods an organization can use to receive payments via Tesouro payment rails using the API.

## Overview

Before an organization can receive payments via Tesouro payment rails, you need to specify the payment methods that the organization will be able to use.

<Info>All API calls mentioned on this page require a partner access token.</Info>

## Enable payment methods

To enable one or more payment methods for an organization, call [`PUT /entities/{entity_id}/payment-methods`](/finops/reference/openapi/payment-methods/put-entities-id-payment-methods). In the request body, the `payment_methods_receive` list specifies the methods by which the organization can receive payments from its counterparts.

```sh lines theme={null}
curl -X PUT 'https://api.sandbox.tesouro.com/v1/entities/3fa85f64...3f66afa6/payment-methods' \
     -H 'X-Finops-Version: 2025-06-23' \
     -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
     -H 'Content: application/json' \
     -d '{
       "payment_methods_receive": [
         "card"
       ],
     }'
```

In the response, check the `status` of each payment method. Those with the `active` status can be used immediately, whereas `inactive` methods may require additional onboarding of the organization.

```json expandable lines theme={null}
{
  "data": [
    {
      "name": "Card payments",
      "type": "card",
      "status": "inactive",
      "direction": "receive"
    }
  ]
}
```

## Get enabled payment methods

To get the payment methods that were enabled for an organization, call [`GET /entities/{entity_id}/payment-methods`](/finops/reference/openapi/payment-methods/get-entities-id-payment-methods):

```sh lines theme={null}
curl -X GET 'https://api.sandbox.tesouro.com/v1/entities/3fa85f64...3f66afa6/payment-methods' \
     -H 'X-Finops-Version: 2025-06-23' \
     -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

The response contains the display names and codes of each payment methods, the payment direction (`send` or `receive`), and the payment method's `status` (`active` or `inactive`).

```json expandable lines theme={null}
{
  "data": [
    {
      "name": "Card payments",
      "type": "card",
      "status": "active",
      "direction": "receive"
    }
  ]
}
```

## Payment method codes

The following table contains the payment method codes used by the `/entities/{entity_id}/payment-methods` endpoints, and whether these methods can be used to receive payments.

| Name                   | Code     |
| :--------------------- | :------- |
| ACH                    | `us_ach` |
| Credit and debit cards | `card`   |
| Tap on phone           | `card`   |
